from sympy import *

x = Symbol('x')
y = Symbol('y')
f = x**2
dfx = diff(f,x)
dfy = diff(f,y)

def sympyCF(func):
    "converts a sympy expression to a NGSolve coefficient function"
    l = {}
    exec('from ngsolve import *; cf='+printing.sstr(func)+';',{},l)
    return l['cf']

from netgen.geom2d import unit_square
import netgen.gui
from ngsolve import *

mesh = Mesh(unit_square.GenerateMesh(maxh=0.2))

cf = CoefficientFunction(sympyCF(f))
gradcf = CoefficientFunction((sympyCF(dfx),sympyCF(dfy)))
Draw(cf,mesh,'cf')
Draw(gradcf,mesh,'gradcf')
